Routescope APIRoutescope API
模型接口API文档视频模型

删除素材组内单个素材

删除某个素材组里的单个素材。

删除某个素材组里的单个素材。服务端只校验素材组 groupId 是否属于当前用户,assetId 由上游校验是否存在于该素材组。

DELETE
/v1/api/video-studio/assets/ecloud/{groupId}/assets/{assetId}
curl -X DELETE "https://api.routescope.ai/v1/api/video-studio/assets/ecloud/string/assets/string"
{
  "data": {
    "deleted": true,
    "scope": "group_asset"
  },
  "error": {
    "code": "not_found",
    "message": "asset group not found"
  },
  "request_id": "req_xxx"
}
{
  "data": null,
  "error": {
    "code": "not_found",
    "message": "asset group not found"
  },
  "request_id": "req_xxx"
}

Authorization

BearerAuth

AuthorizationBearer <token>

使用本项目网关 Token:Authorization: Bearer <API_TOKEN>。注意这里不是上游素材库 API Key。

In: header

Path Parameters

groupId*string

上游返回的素材组 ID。本项目会根据当前用户校验该 groupId 的本地归属关系。

assetId*string

上游返回的素材 ID。

Response Body

application/json

application/json

最后更新于